'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.set = void 0;

const client_1 = require('award-plugin/client');

let customLog;

const error = (msg, type = '', ...args) => {
  if (process.env.RUN_ENV === 'web') {
    client_1.default.hooks.catchError({
      type: 'fetch',
      error: msg instanceof Error ? msg : new Error(msg)
    });
  }

  if (customLog === null || customLog === void 0 ? void 0 : customLog.error) {
    return customLog.error(msg, type, ...args);
  }

  console.error(`${type ? `[${type}]: ` : ''}${msg}`);
};

exports.default = {
  error
};

function set(log) {
  customLog = log;
}

exports.set = set;
