'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.getClients = exports.register = void 0;
const clients = {};
/**
 * 注册thrift文件
 * @param  {string} key
 * @param  {any}    actions
 * @param  {any}    types
 */

function register(key, actions, types) {
  if (clients[key]) {
    return;
  }

  clients[key] = {
    actions,
    types
  };
}

exports.register = register;
/**
 * 返回已注册的thrift
 * @param  {string} key
 * @return {{actions, types}}
 */

function getClients(key) {
  return clients[key] || {};
}

exports.getClients = getClients;
